// Copyright HTC Corporation. All Rights Reserved.

using UnrealBuildTool;

public class WaveOpenXRLoader : ModuleRules
{
	public WaveOpenXRLoader(ReadOnlyTargetRules Target) : base(Target)
	{
		Type = ModuleType.External;

		string LibDir = ModuleDirectory + "/lib";

		if (Target.Platform == UnrealTargetPlatform.Android)
		{
			PublicAdditionalLibraries.Add(LibDir + "/android/armeabi-v7a/libopenxr_loader.so");
			PublicAdditionalLibraries.Add(LibDir + "/android/arm64-v8a/libopenxr_loader.so");
		}
	}
}
